## wikidiff2 0.0.1+svn55737

=== Makefile ===
PHP_EXT_DIR=`php-config --extension-dir`
PRODUCT=wikidiff2
VERSION=1.0.3
CXX?=g++

# For Linux
SHARED = -shared -fPIC

# For Mac OS X
# SHARED = -bundle

OUTPUT=php_$(PRODUCT).so
STANDALONE=$(PRODUCT)
#LIBDIRS=-L/usr/local/lib
#LIBS=-lJudy
LIBS=
LIBDIRS=

TMPDIST=$(PRODUCT)-$(VERSION)
DISTDIRS=test debian
DISTFILES=Makefile \
  $(PRODUCT).spec compile.sh release.sh \
  DiffEngine.h JudyHS.h Word.h wikidiff2.h \
  judy_test.cpp standalone.cpp \
  $(PRODUCT).cpp $(PRODUCT).i \
  $(PRODUCT)_wrap.cpp php_$(PRODUCT).h wikidiff2.php \
  test/chinese-reverse.zip \
  test/test-a.diff \
  test/test-a1 \
  test/test-a2 \
  test/test-b.diff \
  test/test-b1 \
  test/test-b2 \
  debian/control \
  debian/compat \
  debian/changelog \
  debian/copyright \
  debian/rules

$(OUTPUT) : $(PRODUCT).cpp $(PRODUCT)_wrap.cpp
	$(CXX) -O2 `php-config --includes` $(SHARED) -o $@ $(PRODUCT).cpp $(PRODUCT)_wrap.cpp

.PHONY: standalone
standalone:
	$(CXX) -o $(STANDALONE) -O3 $(PRODUCT).cpp standalone.cpp $(LIBS) $(LIBDIRS)

# The below _almost_ works. It gets unresolved symbol errors on load looking for _compiler_globals.
#	MACOSX_DEPLOYMENT_TARGET=10.3 g++ -O2 `php-config --includes` $(SHARED) -o php_wikidiff2.so wikidiff2.cpp wikidiff2_wrap.cpp -undefined dynamic_lookup

test.php : $(PRODUCT)_wrap.cpp

$(PRODUCT)_wrap.cpp : $(PRODUCT).i
	swig -php4 -c++ $(PRODUCT).i

install : $(OUTPUT)
	install -d "$(INSTALL_TARGET)$(PHP_EXT_DIR)"
	install -m 0755 $(OUTPUT) "$(INSTALL_TARGET)$(PHP_EXT_DIR)"

uninstall :
	rm -f "$(INSTALL_TARGET)$(PHP_EXT_DIR)"/$(OUTPUT)

clean :
	rm -f $(OUTPUT)
	rm -f $(PRODUCT)_wrap.cpp
	rm -f $(PRODUCT).php

test : $(OUTPUT)
	php test.php

distclean : clean
	rm -rf $(TMPDIST)
	rm -f $(TMPDIST).tar.gz

dist : $(DISTFILES) Makefile
	rm -rf $(TMPDIST)
	mkdir $(TMPDIST)
	for x in $(DISTDIRS); do mkdir $(TMPDIST)/$$x; done
	for x in $(DISTFILES); do cp -p $$x $(TMPDIST)/$$x; done
	tar zcvf $(TMPDIST).tar.gz $(TMPDIST)

rpm : dist
	cp $(TMPDIST).tar.gz /usr/src/redhat/SOURCES
	cp $(PRODUCT).spec /usr/src/redhat/SPECS/$(PRODUCT)-$(VERSION).spec
	cd /usr/src/redhat/SPECS && rpmbuild -ba $(PRODUCT)-$(VERSION).spec

## wikidiff2 0.0.1+svn109581

=== debian/changelog ===
wikidiff2 (0.0.1+svn109581-1ubuntu1) trusty; urgency=medium

  * Install ini file in correct location with PHP 5.5 (LP: #1243568).
  * debian/etc/mediawiki-extensions/extensions-available/wikidiff2.php:
    + better php open tag (LP: #1243119).

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 22 Feb 2014 12:41:21 +0100

wikidiff2 (0.0.1+svn109581-1build1) saucy; urgency=low

  * Rebuild for PHP 5.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 01:49:32 +0100

wikidiff2 (0.0.1+svn109581-1) unstable; urgency=low

  * New upstream snapshot
  * Source format 3.0 (quilt)
  * New patch so-location.patch to set correct extension location
  * Remove fix_543113.patch (no longer applicable)
  * Add me to uploaders
  * Use debhelper 9 to get build hardening flags
  * Remove redundant debian/conffiles
  * Remove remaining CDBS logic
  * Export dependency on phpapi
  * Don't overwrite CXXFLAGS in debian/rules
  * Move configuration install logic into debian/dirs and debian/install
  * Add debian/gbp.conf and ignore it in debian/source/local-options
  * Standards version 3.9.3 (no changes)
  * Install configuration by default (Closes: #594517)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 20 Jun 2012 19:04:43 +0100

wikidiff2 (0.0.1+svn55737-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing dependency on phpapi-* (Closes: #566290)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 08 Feb 2010 15:58:03 +0100

wikidiff2 (0.0.1+svn55737-1) unstable; urgency=low

  * New upstream release.
  * Fixed FTBFS.
  Closes: #543113 
  * Bumped standards-version to 3.8.3
  * Bumped compat to 7

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 01 Sep 2009 18:14:30 -0500

wikidiff2 (0.0.1+svn48764-1) unstable; urgency=low

  * Initial packaging.
  Closes: #479057

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 24 Mar 2009 23:25:07 +0100

=== debian/control ===
Source: wikidiff2
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Jonathan Wiltshire <jmw@debian.org>
Build-Depends: debhelper (>= 9), php5-dev, libthai-dev, pkg-config
Homepage: http://www.mediawiki.org/wiki/Extension:Wikidiff2
Standards-Version: 3.9.3

Package: php-wikidiff2
Architecture: any
Depends: php5 | php5-cli, ${misc:Depends}, ${shlibs:Depends}, ${php:Depends}
Recommends: mediawiki
Description: external diff engine for mediawiki
 Wikidiff2 is PHP 5 module providing external diff 
 engine for MediaWiki. It performs word-level 
 (space-delimited) diffs on general text, and 
 character-level diffs on text composed of characters 
 from the Japanese and Thai alphabets and the unified han.

=== debian/rules ===
#!/usr/bin/make -f

# The PHP header files are not designed to be run with C++, they hit this 
# warning a lot.
CXXFLAGS+=-Wno-write-strings

%:
	dh $@

override_dh_auto_configure:
	# Slightly hacked here to make it work with other PHP installations
	# earlier in the path, so I don't have to make chroots. Really it should just
	# be phpize && dh_auto_configure.
	/usr/bin/phpize
	dh_auto_configure -- --with-php-config=/usr/bin/php-config

override_dh_auto_test:

override_dh_auto_install:
	INSTALL_ROOT=$(CURDIR)/debian/php-wikidiff2 make install

override_dh_gencontrol:
	echo "php:Depends=phpapi-$(shell php-config5 --phpapi)" >> debian/php-wikidiff2.substvars
	dh_gencontrol

## wikidiff2 1.2+git03ea59f

=== debian/changelog ===
wikidiff2 (1.2+git03ea59f-1ubuntu3) xenial; urgency=medium

  * Fix phpapi invocation to use php-config not php-config5 (LP: #1565912).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 05 Apr 2016 12:10:29 -0700

wikidiff2 (1.2+git03ea59f-1ubuntu2) xenial; urgency=medium

  * debian/patches/update-to-php7.0-string-api.patch: Add proper DEP3
    headers.
  * d/maintscript: add prior-version argument to mv_conffile (LP:
    #1565912).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 13:50:47 -0700

wikidiff2 (1.2+git03ea59f-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565912).
  * Add maintscript helper to migrate from php5 to php7 configuration.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 10:33:14 -0700

wikidiff2 (1.2+git03ea59f-1build1) vivid; urgency=medium

  * No change rebuild against PHP 5.6 (phpapi-20131226).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 27 Jan 2015 16:00:21 +0000

wikidiff2 (1.2+git03ea59f-1) unstable; urgency=medium

  * Add Vcs-* fields to debian/control
  * Update section to match override
  * New upstream release
  * Remove patch so-location.patch (integrated upstream)
  * Enable tests (build-depend on php5-cli to run them)
  * Use long PHP tags in wikidiff2.php (Closes: #716995) (LP: #1243119)
  * Update INI installation location for PHP 5.5 (Closes: #725755)
    (LP: #1243568)
  * Standards version 3.9.5
  * Update copyright information
  * Install README to documentation

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 21 Jun 2014 23:10:00 +0100

=== debian/control ===
Source: wikidiff2
Section: php
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Jonathan Wiltshire <jmw@debian.org>
Build-Depends: debhelper (>= 9), php-dev, libthai-dev, pkg-config, php-cli
Homepage: http://www.mediawiki.org/wiki/Extension:Wikidiff2
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/wikidiff2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wikidiff2.git

Package: php-wikidiff2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: php | php-cli, ${misc:Depends}, ${shlibs:Depends}, ${php:Depends}
Recommends: mediawiki
Description: external diff engine for mediawiki
 Wikidiff2 is PHP 5 module providing external diff 
 engine for MediaWiki. It performs word-level 
 (space-delimited) diffs on general text, and 
 character-level diffs on text composed of characters 
 from the Japanese and Thai alphabets and the unified han.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# The PHP header files are not designed to be run with C++, they hit this 
+# The PHP header files are not designed to be run with C++, they hit this
 # warning a lot.
 CXXFLAGS+=-Wno-write-strings
 
@@ -15,10 +15,11 @@
 	dh_auto_configure -- --with-php-config=/usr/bin/php-config
 
 override_dh_auto_test:
+	NO_INTERACTION=1 make test
 
 override_dh_auto_install:
 	INSTALL_ROOT=$(CURDIR)/debian/php-wikidiff2 make install
 
 override_dh_gencontrol:
-	echo "php:Depends=phpapi-$(shell php-config5 --phpapi)" >> debian/php-wikidiff2.substvars
+	echo "php:Depends=phpapi-$(shell php-config --phpapi)" >> debian/php-wikidiff2.substvars
 	dh_gencontrol

## wikidiff2 1.4.1

=== debian/changelog ===
wikidiff2 (1.4.1-1) unstable; urgency=medium

  * Add watch file
  * New upstream version 1.4.1
  * Remove php7 patch, included in upstream version
  * Remove PHP configuration, recommend MW 1.27.1+
  * Add accidentally-removed php:Depends substvar

 -- Kunal Mehta <legoktm@member.fsf.org>  Tue, 30 Aug 2016 19:08:33 -0700

wikidiff2 (1.2+git03ea59f-2) unstable; urgency=medium

  * Update for PHP7 support, patch from upstream (Closes: #821633, #821720)
  * Update dependencies for PHP7
  * Standards version 3.9.8
  * Add myself (Kunal Mehta) to uploaders list, removed Jonathon
  * Improved extended description (Closes: #763753)

 -- Kunal Mehta <legoktm@member.fsf.org>  Fri, 17 Jun 2016 17:01:21 -0700

=== debian/control ===
Source: wikidiff2
Section: php
Priority: optional
Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Kunal Mehta <legoktm@member.fsf.org>
Build-Depends: debhelper (>= 9), php-dev, libthai-dev, pkg-config, php-cli
Homepage: http://www.mediawiki.org/wiki/Extension:Wikidiff2
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/collab-maint/wikidiff2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wikidiff2.git

Package: php-wikidiff2
Architecture: any
Depends: php | php-cli, ${misc:Depends}, ${shlibs:Depends}, ${php:Depends}
Recommends: mediawiki (>= 1:1.27.1-1)
Description: external diff engine for mediawiki
 Wikidiff2 is a PHP module providing external diff
 engine for MediaWiki. It performs word-level 
 (space-delimited) diffs on general text, and 
 character-level diffs on text composed of characters 
 from the Japanese and Thai alphabets and the unified han.

=== debian/rules ===
#!/usr/bin/make -f

# The PHP header files are not designed to be run with C++, they hit this
# warning a lot.
CXXFLAGS+=-Wno-write-strings

%:
	dh $@

override_dh_auto_configure:
	/usr/bin/phpize
	dh_auto_configure

override_dh_auto_test:
	NO_INTERACTION=1 make test

override_dh_auto_install:
	INSTALL_ROOT=$(CURDIR)/debian/php-wikidiff2 make install

override_dh_gencontrol:
	echo "php:Depends=phpapi-$(shell php-config --phpapi)" >> debian/php-wikidiff2.substvars
	dh_gencontrol

override_dh_auto_clean:
	/usr/bin/phpize --clean
	dh_auto_clean

## wikidiff2 1.5.1

=== debian/changelog ===
wikidiff2 (1.5.1-5) unstable; urgency=medium

  * Have dh_auto_test fail when tests fail

 -- Kunal Mehta <legoktm@member.fsf.org>  Wed, 28 Feb 2018 11:38:51 -0800

wikidiff2 (1.5.1-4) unstable; urgency=medium

  * Update Vcs-* control fields for move to salsa.debian.org
  * Make sure CI fails if a test fails
  * Bump Standards-Version to 4.1.3

 -- Kunal Mehta <legoktm@member.fsf.org>  Wed, 31 Jan 2018 22:03:08 -0800

wikidiff2 (1.5.1-3) unstable; urgency=medium

  * Rules-Requires-Root: no
  * Use dh_php to install the wikidiff2.ini file
  * Update to debhelper compat 10

 -- Kunal Mehta <legoktm@member.fsf.org>  Mon, 04 Dec 2017 20:44:19 -0800

wikidiff2 (1.5.1-2) unstable; urgency=medium

  * Run tests via autopkgtest
  * Add "Enhances: mediawiki", drop Recommends

 -- Kunal Mehta <legoktm@member.fsf.org>  Sun, 26 Nov 2017 15:18:55 -0800

wikidiff2 (1.5.1-1) unstable; urgency=medium

  * gbp: Add sign-tags = True
  * New upstream version 1.5.1
  * Bump Standards-Version to 4.1.1
  * Fix vcs-field-uses-insecure-uri lintian warnings

 -- Kunal Mehta <legoktm@member.fsf.org>  Mon, 30 Oct 2017 22:29:55 -0700

=== debian/control ===
Source: wikidiff2
Section: php
Priority: optional
Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Kunal Mehta <legoktm@member.fsf.org>
Build-Depends: debhelper (>= 10), dh-php, php-dev, libthai-dev, pkg-config, php-cli
Homepage: http://www.mediawiki.org/wiki/Extension:Wikidiff2
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/mediawiki-team/wikidiff2.git
Vcs-Browser: https://salsa.debian.org/mediawiki-team/wikidiff2
Rules-Requires-Root: no

Package: php-wikidiff2
Architecture: any
Depends: php | php-cli, ${misc:Depends}, ${shlibs:Depends}, ${php:Depends}
Enhances: mediawiki
Description: external diff engine for mediawiki
 Wikidiff2 is a PHP module providing external diff
 engine for MediaWiki. It performs word-level 
 (space-delimited) diffs on general text, and 
 character-level diffs on text composed of characters 
 from the Japanese and Thai alphabets and the unified han.

=== debian/rules ===
#!/usr/bin/make -f

# The PHP header files are not designed to be run with C++, they hit this
# warning a lot.
CXXFLAGS+=-Wno-write-strings

%:
	dh $@ --with php

override_dh_auto_configure:
	/usr/bin/phpize
	dh_auto_configure

override_dh_auto_test:
	REPORT_EXIT_STATUS=1 NO_INTERACTION=1 make test

override_dh_auto_install:
	INSTALL_ROOT=$(CURDIR)/debian/php-wikidiff2 make install

override_dh_auto_clean:
	/usr/bin/phpize --clean
	dh_auto_clean

=== debian/watch ===
version=3

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/" \
https://releases.wikimedia.org/wikidiff2/ wikidiff2-([0-9.]*).tar.gz

## wikidiff2 1.7.2

=== debian/changelog ===
wikidiff2 (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * Standards-Version: 4.1.5

 -- Kunal Mehta <legoktm@member.fsf.org>  Sat, 21 Jul 2018 14:49:15 +0200

wikidiff2 (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Use HTTPS format in d/copyright

 -- Kunal Mehta <legoktm@member.fsf.org>  Fri, 22 Jun 2018 16:54:24 +0200

wikidiff2 (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Fix build issues with GCC 8 (Closes: #897887)

 -- Kunal Mehta <legoktm@member.fsf.org>  Wed, 16 May 2018 19:51:19 -0700

wikidiff2 (1.6.0-2) unstable; urgency=medium

  * Update Maintainer email to <mediawiki-debian@lists.wikimedia.org>
  * Standards-Version: 4.1.4

 -- Kunal Mehta <legoktm@member.fsf.org>  Sun, 06 May 2018 22:12:39 -0700

wikidiff2 (1.6.0-1) unstable; urgency=medium

  * Update upstream signing key
  * New upstream version 1.6.0

 -- Kunal Mehta <legoktm@member.fsf.org>  Wed, 04 Apr 2018 09:02:46 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: wikidiff2
 Section: php
 Priority: optional
-Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
+Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>, Kunal Mehta <legoktm@member.fsf.org>
 Build-Depends: debhelper (>= 10), dh-php, php-dev, libthai-dev, pkg-config, php-cli
 Homepage: http://www.mediawiki.org/wiki/Extension:Wikidiff2
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/mediawiki-team/wikidiff2.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/wikidiff2
 Rules-Requires-Root: no

## wikidiff2 1.7.3

=== debian/changelog ===
wikidiff2 (1.7.3-2) unstable; urgency=medium

  * Configure Salsa-Pipeline
  * Fix override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS warning
  * Trim trailing whitespace.
  * Enable hardening flags
  * Standards-Version: 4.3.0, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Fri, 01 Mar 2019 20:49:03 +0000

wikidiff2 (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3
  * Use HTTPS for some URLs
  * Standards-Version: 4.2.1, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Thu, 01 Nov 2018 00:12:51 -0700

=== debian/control ===
Source: wikidiff2
Section: php
Priority: optional
Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Kunal Mehta <legoktm@debian.org>
Build-Depends: debhelper (>= 10), dh-php, php-dev, libthai-dev, pkg-config, php-cli
Homepage: https://www.mediawiki.org/wiki/Extension:Wikidiff2
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/mediawiki-team/wikidiff2.git
Vcs-Browser: https://salsa.debian.org/mediawiki-team/wikidiff2
Rules-Requires-Root: no

Package: php-wikidiff2
Architecture: any
Depends: php | php-cli, ${misc:Depends}, ${shlibs:Depends}, ${php:Depends}
Enhances: mediawiki
Description: external diff engine for mediawiki
 Wikidiff2 is a PHP module providing external diff
 engine for MediaWiki. It performs word-level
 (space-delimited) diffs on general text, and
 character-level diffs on text composed of characters
 from the Japanese and Thai alphabets and the unified han.

=== debian/tests/control ===
Tests: unittests
Depends: @, php-cli, php-dev

## wikidiff2 1.8.2

=== debian/changelog ===
wikidiff2 (1.8.2-2build1) eoan; urgency=medium

  * No-change rebuild for php7.3

 -- Bryce Harrington <bryce@canonical.com>  Fri, 09 Aug 2019 00:49:57 +0000

wikidiff2 (1.8.2-2) unstable; urgency=medium

  * Upload to unstable
  * Fix Upstream-Name in d/copyright

 -- Kunal Mehta <legoktm@debian.org>  Tue, 09 Jul 2019 02:03:49 +0000

wikidiff2 (1.8.2-1) experimental; urgency=medium

  * New upstream version 1.8.2

 -- Kunal Mehta <legoktm@debian.org>  Mon, 20 May 2019 00:42:11 -0700

wikidiff2 (1.8.1-1) experimental; urgency=medium

  * New upstream version 1.8.1

 -- Kunal Mehta <legoktm@debian.org>  Fri, 05 Apr 2019 07:48:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wikidiff2
 Section: php
 Priority: optional
-Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>, Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper (>= 10), dh-php, php-dev, libthai-dev, pkg-config, php-cli
 Homepage: https://www.mediawiki.org/wiki/Extension:Wikidiff2

## wikidiff2 1.10.0

=== debian/changelog ===
wikidiff2 (1.10.0-1build1) focal; urgency=medium

  * No-change rebuild for PHP 7.4

 -- Bryce Harrington <bryce@canonical.com>  Thu, 27 Feb 2020 22:09:15 +0000

wikidiff2 (1.10.0-1) unstable; urgency=medium

  * Sync d/upstream/signing-key.asc with upstream keys.txt
  * New upstream version 1.10.0
  * Suppress public-upstream-key-not-minimal lintian warning

 -- Kunal Mehta <legoktm@debian.org>  Fri, 13 Dec 2019 21:57:02 -0800

wikidiff2 (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * Standards-Version: 4.4.1, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Fri, 11 Oct 2019 14:04:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: wikidiff2
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
+Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>, Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper (>= 10), dh-php, php-dev, libthai-dev, pkg-config, php-cli
 Homepage: https://www.mediawiki.org/wiki/Extension:Wikidiff2
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/mediawiki-team/wikidiff2.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/wikidiff2
 Rules-Requires-Root: no

## wikidiff2 1.11.0

=== debian/changelog ===
wikidiff2 (1.11.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Kunal Mehta <legoktm@debian.org>  Sun, 13 Dec 2020 00:13:28 -0800

wikidiff2 (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Bump debhelper compat from old 10 to 13.
  * Update standards version to 4.5.0, no changes needed.
  * d/watch: Switch to version=4

 -- Kunal Mehta <legoktm@debian.org>  Tue, 08 Dec 2020 17:57:38 -0800

wikidiff2 (1.10.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Kunal Mehta <legoktm@debian.org>  Sun, 15 Dec 2019 23:35:32 -0800

wikidiff2 (1.9.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Kunal Mehta <legoktm@debian.org>  Sun, 13 Oct 2019 22:32:35 -0700

wikidiff2 (1.8.2-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Kunal Mehta <legoktm@debian.org>  Wed, 17 Jul 2019 13:07:42 -0400

## wikidiff2 1.13.0

=== debian/changelog ===
wikidiff2 (1.13.0-1build1) jammy; urgency=medium

  * No change rebuild for PHP 8.1

 -- Bryce Harrington <bryce@canonical.com>  Wed, 27 Oct 2021 00:21:42 +0000

wikidiff2 (1.13.0-1) unstable; urgency=medium

  [ Kunal Mehta ]
  * New upstream version 1.13.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Remove 2 maintscript entries from 1 files.

 -- Kunal Mehta <legoktm@debian.org>  Wed, 20 Oct 2021 13:41:04 -0700

wikidiff2 (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Add Restrictions: allow-stderr to autopkgtest

 -- Kunal Mehta <legoktm@debian.org>  Mon, 30 Aug 2021 23:23:40 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: wikidiff2
 Section: php
 Priority: optional
-Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>, Kunal Mehta <legoktm@debian.org>
-Build-Depends: debhelper (>= 10), dh-php, php-dev, libthai-dev, pkg-config, php-cli
+Build-Depends: debhelper-compat (= 13), dh-php, php-dev, libthai-dev, pkg-config, php-cli
 Homepage: https://www.mediawiki.org/wiki/Extension:Wikidiff2
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/mediawiki-team/wikidiff2.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/wikidiff2
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The PHP header files are not designed to be run with C++, they hit this
# warning a lot.
CXXFLAGS+=-Wno-write-strings

# Environment for `make test`
export NO_INTERACTION=1
export REPORT_EXIT_STATUS=1

%:
	dh $@ --with php

override_dh_auto_configure:
	/usr/bin/phpize
	dh_auto_configure

override_dh_auto_install:
	INSTALL_ROOT=$(CURDIR)/debian/php-wikidiff2 make install

override_dh_auto_clean:
	/usr/bin/phpize --clean
	dh_auto_clean

## wikidiff2 1.14.1

=== debian/changelog ===
wikidiff2 (1.14.1-2build1) plucky; urgency=medium

  * No change rebuild for php8.4

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 22 Jan 2025 09:20:01 -0300

wikidiff2 (1.14.1-2) unstable; urgency=medium

  * Fix clean target to work as expected (Closes: #1048506)
  * Swap pkg-config dependency for pkgconf

 -- Kunal Mehta <legoktm@debian.org>  Sun, 30 Jun 2024 00:27:30 -0400

wikidiff2 (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1

 -- Taavi Väänänen <hi@taavi.wtf>  Tue, 04 Jul 2023 15:08:05 +0300

wikidiff2 (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Move wikidiff2.ini to debian/
  * Raise Standards-Version: 4.6.2, no changes required
  * Add myself to uploaders

 -- Taavi Väänänen <hi@taavi.wtf>  Tue, 04 Jul 2023 11:21:47 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: MediaWiki packaging team <mediawiki-debian@lists.wikimedia.org>
-Uploaders: Romain Beauxis <toots@rastageeks.org>, Kunal Mehta <legoktm@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-php, php-dev, libthai-dev, pkg-config, php-cli
+Uploaders:
+ Romain Beauxis <toots@rastageeks.org>,
+ Kunal Mehta <legoktm@debian.org>,
+ Taavi Väänänen <hi@taavi.wtf>
+Build-Depends: debhelper-compat (= 13), dh-php, php-dev, libthai-dev, pkgconf, php-cli
 Homepage: https://www.mediawiki.org/wiki/Extension:Wikidiff2
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/mediawiki-team/wikidiff2.git
 Vcs-Browser: https://salsa.debian.org/mediawiki-team/wikidiff2
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,5 @@
 	INSTALL_ROOT=$(CURDIR)/debian/php-wikidiff2 make install
 
 override_dh_auto_clean:
+	dh_auto_clean
 	/usr/bin/phpize --clean
-	dh_auto_clean
